<h1>FakeTV: A TV channel scheduling script</h1>
<p>This is a python script for a raspberry Pi 2/3/4 or other single board computer with composite out to help create a linear TV station on an old CRT TV over an RF modulator. Please do not set up a linear station using a set of rabbit ears and a RF amplifier as this is an FCC violation.  This script intends to create an hour-by-hour episode block consisting of two 30 minute segments using "commercials" (create some yourself or grab some off youtube) to help fill in the gaps in the hour schedule. Episodes should ideally conform to the 30 minute or 1 hour episode length standard. Episodes longer than 1 hour would break the timing of the channel (assuming you care). Commercials should be either 15, 30, 45 or 60 seconds, and no longer than 5 minutes.</p>

<h2>FakeTV python script for Raspberry Pi Installation Instructions</h2>

<p>Prerequisites: Python3, cv2 python library (sudo pip install opencv2-python), VideoLAN(VLC) (Media player command can be subbed in the sh script)

<ol>
  <li>Place the channel folder in a location with a decent amount of storage, I reccomend at least 128GB. In fakeTV.py, set the location of each folder in the channel folder (shows/commercial/stationid) at the beginning of the script</li>
  <li>Place the fakeTV.sh in a location in your channel folder or in your home folder. Call this script in your SoCs favorite place to run scripts on start. (~/.bashrc,~/.profile,AutoStart etc). In the sh scripts, set the locations of the python script, the channel bug, and the playlist location (the python script will create the playlist in the same folder it's in by default)</li>
  <li>Run the python script and make sure it completes without error (all folders are found, etc). Reboot the Soc, Shows should start playing fullscreen automatically</li>
</ol> 